package com.casic.missiles.modular.system.dto;

public class CommConfigDTO {
    private String acqStart;//采集开始时间
    private Long interval;//采集时间间隔（分钟）
    private Long period;//上传周期
    private Long times;//采集次数
    private Long repeat;//重传次数
    private String ip;
    private Long port;
    private Float thresh;
    private Float height;
    private String collect;
    private String MultiCollect;
    private String acqCycle;
    private String upCycle;
    private String sleepStartTime;

    private String acqStartFlow ; //流量采集开始时间
    private Long intervalFlow; //流量采集采集间隔（分）
    private Long acqTimesFlow ;//流量采集次数
    private String upStartFlow; //流量上报开始时间
    private Long upTimesFlow; //流量上传次数
    private String acqStartNoise; //噪声采集开始时间
    private Long intervalNoise; //噪声采集采集间隔（分）
    private Long acqTimesNoise;//噪声采集次数
    private String upStartNoise; //噪声上报开始时间
    private Long upTimesNoise ;//噪声上传次数
    private String acqStartPressure; //压力采集开始时间
    private Long intervalPressure;//压力采集采集间隔（分）
    private Long acqTimesPressure; //压力采集次数
    private String upStartPressure; //压力上报开始时间
    private Long upTimesPressure; //压力上传次数
    private Float lowerLimitPressure; //压力报警下限
    private Float upperLimitPressure ;//压力报警下限
    private Long limitDig ;//开挖阈值


    public String getAcqStart() {
        return acqStart;
    }

    public void setAcqStart(String acqStart) {
        this.acqStart = acqStart;
    }


    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public Long getPort() {
        return port;
    }

    public void setPort(Long port) {
        this.port = port;
    }

    public String getCollect() {
        return collect;
    }

    public void setCollect(String collect) {
        this.collect = collect;
    }

    public String getAcqCycle() {
        return acqCycle;
    }

    public void setAcqCycle(String acqCycle) {
        this.acqCycle = acqCycle;
    }

    public String getUpCycle() {
        return upCycle;
    }

    public void setUpCycle(String upCycle) {
        this.upCycle = upCycle;
    }

    public Long getInterval() {
        return interval;
    }

    public void setInterval(Long interval) {
        this.interval = interval;
    }

    public Long getTimes() {
        return times;
    }

    public void setTimes(Long times) {
        this.times = times;
    }

    public Long getRepeat() {
        return repeat;
    }

    public void setRepeat(Long repeat) {
        this.repeat = repeat;
    }

    public Float getThresh() {
        return thresh;
    }

    public void setThresh(Float thresh) {
        this.thresh = thresh;
    }

    public Float getHeight() {
        return height;
    }

    public void setHeight(Float height) {
        this.height = height;
    }

    public Long getPeriod() {
        return period;
    }

    public void setPeriod(Long period) {
        this.period = period;
    }

    public String getAcqStartFlow() {
        return acqStartFlow;
    }

    public void setAcqStartFlow(String acqStartFlow) {
        this.acqStartFlow = acqStartFlow;
    }

    public Long getIntervalFlow() {
        return intervalFlow;
    }

    public void setIntervalFlow(Long intervalFlow) {
        this.intervalFlow = intervalFlow;
    }

    public Long getAcqTimesFlow() {
        return acqTimesFlow;
    }

    public void setAcqTimesFlow(Long acqTimesFlow) {
        this.acqTimesFlow = acqTimesFlow;
    }

    public String getUpStartFlow() {
        return upStartFlow;
    }

    public void setUpStartFlow(String upStartFlow) {
        this.upStartFlow = upStartFlow;
    }

    public Long getUpTimesFlow() {
        return upTimesFlow;
    }

    public void setUpTimesFlow(Long upTimesFlow) {
        this.upTimesFlow = upTimesFlow;
    }

    public String getAcqStartNoise() {
        return acqStartNoise;
    }

    public void setAcqStartNoise(String acqStartNoise) {
        this.acqStartNoise = acqStartNoise;
    }

    public Long getIntervalNoise() {
        return intervalNoise;
    }

    public void setIntervalNoise(Long intervalNoise) {
        this.intervalNoise = intervalNoise;
    }

    public Long getAcqTimesNoise() {
        return acqTimesNoise;
    }

    public void setAcqTimesNoise(Long acqTimesNoise) {
        this.acqTimesNoise = acqTimesNoise;
    }

    public String getUpStartNoise() {
        return upStartNoise;
    }

    public void setUpStartNoise(String upStartNoise) {
        this.upStartNoise = upStartNoise;
    }

    public Long getUpTimesNoise() {
        return upTimesNoise;
    }

    public void setUpTimesNoise(Long upTimesNoise) {
        this.upTimesNoise = upTimesNoise;
    }

    public String getAcqStartPressure() {
        return acqStartPressure;
    }

    public void setAcqStartPressure(String acqStartPressure) {
        this.acqStartPressure = acqStartPressure;
    }

    public Long getIntervalPressure() {
        return intervalPressure;
    }

    public void setIntervalPressure(Long intervalPressure) {
        this.intervalPressure = intervalPressure;
    }

    public Long getAcqTimesPressure() {
        return acqTimesPressure;
    }

    public void setAcqTimesPressure(Long acqTimesPressure) {
        this.acqTimesPressure = acqTimesPressure;
    }

    public String getUpStartPressure() {
        return upStartPressure;
    }

    public void setUpStartPressure(String upStartPressure) {
        this.upStartPressure = upStartPressure;
    }

    public Long getUpTimesPressure() {
        return upTimesPressure;
    }

    public void setUpTimesPressure(Long upTimesPressure) {
        this.upTimesPressure = upTimesPressure;
    }

    public Float getLowerLimitPressure() {
        return lowerLimitPressure;
    }

    public void setLowerLimitPressure(Float lowerLimitPressure) {
        this.lowerLimitPressure = lowerLimitPressure;
    }

    public Float getUpperLimitPressure() {
        return upperLimitPressure;
    }

    public void setUpperLimitPressure(Float upperLimitPressure) {
        this.upperLimitPressure = upperLimitPressure;
    }

    public String getMultiCollect() {
        return MultiCollect;
    }

    public void setMultiCollect(String multiCollect) {
        MultiCollect = multiCollect;
    }

    public Long getLimitDig() {
        return limitDig;
    }

    public void setLimitDig(Long limitDig) {
        this.limitDig = limitDig;
    }

    public String getSleepStartTime() {
        return sleepStartTime;
    }

    public void setSleepStartTime(String sleepStartTime) {
        this.sleepStartTime = sleepStartTime;
    }
}
